Hello,
On 21 July 2011 02:55, SASADA Koichi <ko1 / atdot.net> wrote:
> I think 2.0 is good point to throw away some compatibility issues (e.g.
> C APIs).  We need more time to discuss.

On 21 July 2011 03:05, Yui NARUSE <naruse / airemix.jp> wrote:
> There are two principles of Ruby 2.0; in short,
> * 2.0 is much different from 1.9.3
> * 2.0 is not different from 1.9.3 so much

On 21 July 2011 03:29, Motohiro KOSAKI <kosaki.motohiro / gmail.com> wrote:
> =A0- 2.0 don't have any incompatibility
>
> Thought?

I believe 2.0 would be an occasion to do some clean up,
to throw away some compatibility issues when it makes sense to remove
unwanted features/API.

But at the same, I think 2.0 should not be so different from 1.9,
because we do not want another 1.8/1.9-like transition.

I realize I should probably not reply here, but the discussion is
somewhat hard to follow.
I like Motohiro's plan, except the "no incompatibility" rule.